Status: Closed Start date: 08 Apr 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoALib-0.9953 Spent time: 1.40 hour

Description

DenseUPolyClean uses std::size_t both internally and in fn interfaces.

Is this really appropriate?  If not, replace size_t by something else (presumably long).

Related issues:

Related to CoCoALib - Feature #219: myDeriv for RingDenseUPolyClean still mis... Closed 03 Aug 2012

History

#1 - 22 May 2013 15:34 - Anna Maria Bigatti

- Category set to Portability

- Status changed from New to Feedback

- Assignee set to John Abbott

- Target version set to CoCoALib-0.9953

- % Done changed from 0 to 90

John did this

// Revision 1.20  2013/04/17 16:30:28  abbott

please set Spent time

#2 - 22 May 2013 16:50 - John Abbott

Several mem fns have args of type long; should the type be changed to MachineInt?

How many args does deriv have?  Header declares 3; impl has only 2.  2 should be enough!

#3 - 28 May 2013 18:57 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

In general mem fns will have args f type long (rather than MachineInt) because assume that only "experts" call mem fns.

I have eliminated the deriv signature with 3 args (it corresponded to no impl, and was misleading anyway).

Regarding this matter as closed (even though all the code is rather messy).
